-- Cette ligne permet d'afficher des traces dans la console pendant l'éxécution
io.stdout:setvbuf('no')
require ("tank tiger")
require ("obus")

function CollisionWindowWithTank ()
  
end


function love.load()
  largeur = love.graphics.getWidth(800)
  hauteur = love.graphics.getHeight(600)
  
  tank.x = largeur/2
  tank.y = hauteur/2
end




function love.update(dt)
  if love.keyboard.isDown("right") then
    tank.angle = tank.angle + 90 * dt
    tank.vx = 0
    tank.vy = 0
  end
  
  if love.keyboard.isDown("left") then
    tank.angle = tank.angle - 90 * dt
    tank.vx = 0
    tank.vy = 0
  end
  
  if love.keyboard.isDown("up") then
    local angle_radians = math.rad(tank.angle)
    local force_x = math.cos(angle_radians) * (1 * dt)
    local force_y = math.sin(angle_radians) * (1 * dt)
    tank.vx = tank.vx + force_x
    tank.vy = tank.vy + force_y
  else
    tank.vx = 0
    tank.vy = 0
  end
  
  tank.x = tank.x + tank.vx
  tank.y = tank.y + tank.vy
  
  
  if love.keyboard.isDown("q") then
    tourelle.angle = tourelle.angle - 90 * dt
  end
  
  if love.keyboard.isDown("w") then
    tourelle.angle = tourelle.angle + 90 * dt
  end
  
  if obus.lance then
    obus.x = obus.x + obus.dx * dt
    obus.y = obus.y + obus.dy * dt
    if obus.x < 0 or obus.x > love.graphics.getWidth() or obus.y < 0 or obus.y > love.graphics.getHeight() then
      obus.lance = false
    end
  end
  
  
end


function love.keypressed(key)
  if key == "x" then
    obus.x = tank.x
    obus.y = tank.y
    obus.angle = tank.angle + tourelle.angle + 90
    obus.dx = math.cos(math.rad(obus.angle)) * obus.vitesse
    obus.dy = math.sin(math.rad(obus.angle)) * obus.vitesse
    obus.lance = true
  end
  
  
end



function love.draw()
  love.graphics.draw(tank.img, tank.x, tank.y, math.rad(tank.angle), 0.3, 0.3, tank.img:getWidth()/2, tank.img:getHeight()/2)
  
  love.graphics.draw(tourelle.imgTourelle, tank.x, tank.y, math.rad(tourelle.angle + tank.angle + 90), 0.3, 0.3, 155 , 155)
  
  for i, obu in ipairs(obus) do
  
    if obus.lance then
      love.graphics.draw(obus.imgObus, obus.x, obus.y , math.rad(obus.angle ), 0.5, 0.5, -195)
    end
  end
  
end